Last Comment Bug 736437 - Chat accounts without protocol plugin aren't correctly handled
: Chat accounts without protocol plugin aren't correctly handled
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Florian Quèze [:florian] [:flo] (PTO until August 29th)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 04:40 PDT by Florian Quèze [:florian] [:flo] (PTO until August 29th)
Modified: 2012-06-28 09:18 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
WIP (2.81 KB, patch)
2012-03-16 04:40 PDT, Florian Quèze [:florian] [:flo] (PTO until August 29th)
no flags Details | Diff | Splinter Review
Patch (3.98 KB, patch)
2012-06-19 07:18 PDT, Florian Quèze [:florian] [:flo] (PTO until August 29th)
mozilla: review+
clokep: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-03-16 04:40:16 PDT
Created attachment 606532 [details] [diff] [review]
WIP

To test this, apply the patch from bug 735215, create an XMPP account, then remove the patch from bug 735215.

The handling of this edge case doesn't have to be perfect, but I think it should at least be good enough for an user to be able to delete a leftover account.

The attached patch significantly improves the situation (the Account Settings dialog can display correctly the pane related to the account without protocol plugin), but removing the account doesn't fully work (some preferences are still there after a restart) so I'm not requesting a review yet.
Comment 1 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-06-19 07:18:56 PDT
Created attachment 634395 [details] [diff] [review]
Patch

Requesting review from David for the Thunderbird account settings part (files in mail/components/im) and Patrick for the chat/ file.
Comment 2 Patrick Cloke [:clokep] 2012-06-19 07:22:47 PDT
Comment on attachment 634395 [details] [diff] [review]
Patch

All my review comments were already given over IRC @ http://log.bezut.info/instantbird/120619/#m259 and fixed before this version.
Comment 3 David :Bienvenu 2012-06-19 10:31:59 PDT
Comment on attachment 634395 [details] [diff] [review]
Patch

this looks reasonable, though the variable name "protocol" is so much more clear than "proto", especially in js code :-)
Comment 4 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-06-21 03:32:19 PDT
https://hg.mozilla.org/comm-central/rev/c7c81c0bcc94
Comment 5 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-06-21 03:33:53 PDT
Comment on attachment 634395 [details] [diff] [review]
Patch

[Approval Request Comment]
User impact if declined: If users install additional protocol plugins as add-ons, and for some reason the add-on is no longer available (uninstalled by the user, incompatible with a newer version of Thunderbird, ...) it's impossible to delete the left-over chat account without this patch.
Comment 6 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-06-28 09:18:46 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/fe09587e027c

Note You need to log in before you can comment on or make changes to this bug.